name: CD
on:
  push:
    branches:
    - master
jobs:
  deploy:
    name: DEPLOY
    runs-on: ubuntu
    env:
      COMMIT_SHA: ${{ gitea.event.commits[1].id }}
    steps:
    - name: Source Code Checkout
      uses: actions/checkout@${{ vars.ACTION_CHECKOUT_VERSION }}
      with:
        fetch-depth: 0
    - name: Get Commit Tag
      id: commit
      run: echo "tag=$(git describe --contains ${{ env.COMMIT_SHA }})" >> $GITEA_OUTPUT
    - name: Show Tag
      run: echo "${{ steps.commit.outputs.tag }}"
